Subject: [Hipsec] Doodle for a call about draft-ietf-hip-dex-21 pending issues...

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 16 Nov 2020 13:37:32 +0000

Let's indeed spend some time on a call, here is a Doodle for DISCUSS owners (+ Ekr), authors, chair and AD who want to participate in the call

https://doodle.com/poll/sygw4595qzbrrpd8?utm_source=poll&utm_medium=link

-éric

-----Original Message-----
From: Benjamin Kaduk <[email-masked]>
Date: Monday, 16 November 2020 at 13:08
To: Gonzalo Camarillo <[email-masked]>
Cc: Eric Vyncke <[email-masked]>, Robert Moskowitz <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Miika Komu <[email-masked]>, Erik Kline <[email-masked]>, "[email-masked]" <[email-masked]>, Terry Manderson <[email-masked]>, Eric Rescorla <[email-masked]>, Roman Danyliw <[email-masked]>
Subject: Re: Need to close all draft-ietf-hip-dex-21 pending issues... before 2021-Jan-13...

    I'm happy to get on a call as well.

    -Ben

    On Mon, Nov 16, 2020 at 01:40:21AM -0800, Eric Rescorla wrote:
    > Certainly happy to do that, though it would need to be the first week of
    > December at earliest.
    > 
    > 
    > On Mon, Nov 16, 2020 at 1:35 AM Gonzalo Camarillo <
    > [email-masked]> wrote:
    > 
    > > Hi,
    > >
    > >
    > >
    > > yes, maybe a quick conference call with the authors and the relevant ADs
    > > would be the best way to agree on a way forward.
    > >
    > >
    > >
    > > Cheers,
    > >
    > >
    > >
    > > Gonzalo
    > >
    > >
    > >
    > > *From:* Eric Vyncke (evyncke) <[email-masked]>
    > > *Sent:* Friday, November 13, 2020 23:48
    > > *To:* Robert Moskowitz <[email-masked]>; [email-masked];
    > > [email-masked]; Miika Komu <[email-masked]>
    > > *Cc:* Gonzalo Camarillo <[email-masked]>; Erik Kline <
    > > [email-masked]>; Eric Rescorla <[email-masked]>; [email-masked];
    > > Terry Manderson <[email-masked]>; Benjamin Kaduk <[email-masked]>;
    > > Roman Danyliw <[email-masked]>
    > > *Subject:* Re: Need to close all draft-ietf-hip-dex-21 pending issues...
    > > before 2021-Jan-13...
    > >
    > >
    > >
    > > Bob,
    > >
    > >
    > >
    > > It is really up to the authors (representing the will of the HIP WG) to
    > > get a revised I-D addressing the SEC Ads’ concerns. If they are satisfied
    > > with open questions put in an appendix (e.g., “for future work”) and they
    > > clear their blocking DISCUSS points, then I will more than happy to give
    > > the final go to HIP DEX.
    > >
    > >
    > >
    > > Having email/voice exchanges with DISCUSS owners (and Ekr) can probably
    > > help as well.
    > >
    > >
    > >
    > > Did you consider changing the intended status to ‘experimental’ ?
    > >
    > >
    > >
    > > Obviously, the earlier, the better
    > >
    > >
    > >
    > > Regards
    > >
    > >
    > >
    > > -éric
    > >
    > >
    > >
    > > *From: *Robert Moskowitz <[email-masked]>
    > > *Date: *Friday, 13 November 2020 at 20:10
    > > *To: *Eric Vyncke <[email-masked]>, "[email-masked]" <[email-masked]>,
    > > "[email-masked]" <[email-masked]>, Miika Komu <
    > > [email-masked]>
    > > *Cc: *Gonzalo Camarillo <[email-masked]>, Erik Kline <
    > > [email-masked]>, Eric Rescorla <[email-masked]>, "[email-masked]"
    > > <[email-masked]>, Terry Manderson <[email-masked]>,
    > > Benjamin Kaduk <[email-masked]>, Roman Danyliw <[email-masked]>
    > > *Subject: *Re: Need to close all draft-ietf-hip-dex-21 pending issues...
    > > before 2021-Jan-13...
    > >
    > >
    > >
    > > I have reached the point on going through all the old notes where any
    > > attempts at changes only seem cosmetic.  I spend a couple hours a week on
    > > it, trying something else.  I need to take a different approach, perhaps.
    > >
    > > I just completed another round of going through the various emails.
    > >
    > > What I am thinking about is put together a single note on what I perceive
    > > as outstanding issues, and put them in an Appendix.  I would push this out,
    > > still this month and see how things go from there.
    > >
    > > I have really tried to come to some accommodation on the issues raised.
    > >
    > > Events are somewhat catching up.  NIST LWC selection process may well
    > > result in renewing looks at technologies like HIP-DEX for 8-bit processors
    > > (see the latest LWC presentations including the build rate for 8-bit
    > > processors).
    > >
    > > I welcome your response.
    > >
    > > Bob
    > >
    > > On 11/13/20 9:32 AM, Eric Vyncke (evyncke) wrote:
    > >
    > > Dear HIP, dear authors,
    > >
    > >
    > >
    > > This document was requested for publication [1] in February 2018 (2.5
    > > years ago), then its IESG evaluation has been deferred, then I took over
    > > this document from Terry Manderson in March 2019, then it went again
    > > through IESG evaluation in July 2020 and there are still DISCUSS points to
    > > be addressed even after a couple of revised I-D...
    > >
    > >
    > >
    > > Difficult not to observe that this document does not progress very fast.
    > >
    > >
    > >
    > > Moreover, this document is a normative reference for rfc4423-bis waiting
    > > in the RFC editor queue since March 2019... So, also blocking the HIP-NAT
    > > document [2].
    > >
    > >
    > >
    > > After discussion with the HIP chair, Gonzalo in cc, we have taken the
    > > following decision: if a revised I-D addressing remaining DISCUSS points +
    > > Ekr’s ones is not uploaded within 2 months (13th of January 2021), then I
    > > will request the HIP WG to accept the complete removal of section A.3.3 of
    > > the rfc4423-bis document (1 page about HIP-DEX in the appendix) + the
    > > reference to the HIP-DEX document [3]. This will allow the immediate
    > > publication of the rfc4423-bis and HIP-NAT documents.
    > >
    > >
    > >
    > > The HIP DEX authors may also select to change the intended status of the
    > > document to ‘experimental’ (if the HIP WG agrees) as this may reduce the
    > > security requirements by the SEC AD and Ekr.
    > >
    > >
    > >
    > > Gonzalo and I are still hoping to get a revised HIP-DEX shortly,
    > >
    > >
    > >
    > > Regards
    > >
    > >
    > >
    > > -éric
    > >
    > >
    > >
    > > [1] https://datatracker.ietf.org/doc/draft-ietf-hip-dex/history/
    > >
    > > [2] https://www.rfc-editor.org/cluster_info.php?cid=C386
    > > <https://protect2.fireeye.com/v1/url?k=79ca9a50-2651a37b-79cadacb-866038973a15-254f733fa2299a75&q=1&e=c8652521-144c-4c45-9db8-f04e01a7aa3d&u=https%3A%2F%2Fwww.rfc-editor.org%2Fcluster_info.php%3Fcid%3DC386>
    > >
    > > [3] and possibly I will set the state of HIP-DEX as ‘dead’ on the
    > > datatracker
    > >
    > >
    > >
    > >
    > >
    > > --
    > > Robert Moskowitz
    > > Owner
    > > HTT Consulting
    > > C:      248-219-2059
    > > F:      248-968-2824
    > > E:      [email-masked]
    > >
    > > There's no limit to what can be accomplished if it doesn't matter who gets
    > > the credit
    > >
    > > -->
    > >